/* config.h.  Generated from config.h.in by configure.  */
/* config.h.in.  Generated from configure.ac by autoheader.  */

/* Define it if GAS requires that absolute indirect calls/jumps are not
   prefixed with an asterisk */
/* #undef ABSOLUTE_WITHOUT_ASTERISK */

/* Define it to \"addr32\" or \"addr32;\" to make GAS happy */
#define ADDR32 addr32

/* Define it to one of __bss_start, edata and _edata */
#define BSS_START_SYMBOL __bss_start

/* Define it to \"data32\" or \"data32;\" to make GAS happy */
#define DATA32 data32

/* Define it to either end or _end */
#define END_SYMBOL end

/* Define if C symbols get an underscore after compilation */
/* #undef HAVE_ASM_USCORE */

/* Define to 1 if you have the `asprintf' function. */
#define HAVE_ASPRINTF 1

/* Define to 1 if you have the <curses.h> header file. */
/* #undef HAVE_CURSES_H */

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the `memalign' function. */
#define HAVE_MEMALIGN 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have the <ncurses/curses.h> header file. */
/* #undef HAVE_NCURSES_CURSES_H */

/* Define to 1 if you have the <ncurses.h> header file. */
#define HAVE_NCURSES_H 1

/* Define to 1 if you have the `posix_memalign' function. */
#define HAVE_POSIX_MEMALIGN 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to 1 if you have the <usb.h> header file. */
/* #undef HAVE_USB_H */

/* Define to 1 if you enable memory manager debugging. */
/* #undef MM_DEBUG */

/* Define to 1 if GCC generates calls to __enable_execute_stack() */
/* #undef NEED_ENABLE_EXECUTE_STACK */

/* Catch gcc bug */
/* #undef NESTED_FUNC_ATTR */

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT "bug-grub@gnu.org"

/* Define to the full name of this package. */
#define PACKAGE_NAME "GRUB"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "GRUB 1.97~beta3"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "grub"

/* Define to the version of this package. */
#define PACKAGE_VERSION "1.97~beta3"

/* The size of `long', as computed by sizeof. */
#define SIZEOF_LONG 8

/* The size of `void *', as computed by sizeof. */
#define SIZEOF_VOID_P 8

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Define to 1 if your processor stores words with the most significant byte
   first (like Motorola and SPARC, unlike Intel and VAX). */
/* #undef WORDS_BIGENDIAN */

/* Number of bits in a file offset, on hosts where this is settable. */
/* #undef _FILE_OFFSET_BITS */

/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# define _GNU_SOURCE 1
#endif

/* Define for large files, on AIX-style hosts. */
/* #undef _LARGE_FILES */

#if defined(__i386__) && !defined(GRUB_UTIL)
#define NESTED_FUNC_ATTR __attribute__ ((__regparm__ (1)))
#else
#define NESTED_FUNC_ATTR
#endif
